javax.tools

## Interface DiagnosticListener<S>

- Type Parameters:
    `S` - the type of source objects used by diagnostics received by this listener
  All Known Implementing Classes:
    DiagnosticCollector

      public interface DiagnosticListener<S>

  Interface for receiving diagnostics from tools.
  Since:
    1.6

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `report(Diagnostic<? extends S> diagnostic)` Invoked when a problem is found.

- - ### Method Detail

    - #### report

          void report(Diagnostic<? extends S> diagnostic)

      Invoked when a problem is found.
      Parameters:
        `diagnostic` - a diagnostic representing the problem that was found
      Throws:
        `NullPointerException` - if the diagnostic argument is `null` and the implementation cannot handle `null` arguments

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.